Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.remote
Class DistributedSessionReconnectPolicy

`java.lang.Object
oracle.toplink.remote.DistributedSessionReconnectPolicy`

Direct Known Subclasses:
  JMSDistributedSessionReconnectPolicy

Deprecated. since OracleAS TopLink 10g (10.1.3). This class is replaced by `CommandManager`

public class DistributedSessionReconnectPolicy
extends java.lang.Object

PURPOSE:To Provide policy for reconnecting distributed sessions for cache Synch

Descripton:This class Defines the behavior for attempting to reconnect sessions. It can be overloaded to provide behaviour specific to the clustering Service

See Also:
  `oracle.toplink.remote.AbtractClusteringService`

Constructor Summary
`DistributedSessionReconnectPolicy()` Deprecated.

Method Summary
`RemoteConnection` | `reconnect(RemoteConnection oldConnection)` Deprecated. PUBLIC: This method is called by the Cache Synchronization manager when a connection to the remote service or remote sessions fails and must be re-connected.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DistributedSessionReconnectPolicy

    public DistributedSessionReconnectPolicy()

  Deprecated.

Method Detail

### reconnect

    public RemoteConnection reconnect(RemoteConnection oldConnection)

  Deprecated.
  PUBLIC: This method is called by the Cache Synchronization manager when a connection to the remote service or remote sessions fails and must be re-connected. Overload this method to provide custom behaviour. by Default the behaviour is not to attempt reconnection. This will be taken care of by the Clustering Service when the remote announcemnet from the other server comes in.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD